package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Oscar Vargas
 */
public enum EmployeeSanctionType {
    ABONO_DEUDA("Abono a deuda") {
        @Override
        public String toString() {
            return "ABONO_DEUDA";
        
        }
    }, AGREGAR_DEUDA("Agregar deuda") {
        @Override
        public String toString() {
            return "AGREGAR_DEUDA";
        
        }
    }, SAVING("Ahorro") {
        @Override
        public String toString() {
            return "SAVING";
        
        }
    }, DISPOSICION_AHORRO("Disposición de ahorro") {
        @Override
        public String toString() {
            return "DISPOSICION_AHORRO";
        
        }
    },ABONO_DEUDA_NOMINA("Abono a deuda") {
        @Override
        public String toString() {
            return "ABONO_DEUDA_NOMINA";
        
        }
    }, SAVING_NOMINA("Ahorro") {
        @Override
        public String toString() {
            return "SAVING_NOMINA";
        
        }
    };

    private final String type;

    private EmployeeSanctionType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
